رویدادها
GET https://uptimer24.com/api/incidents/
curl --request GET \
--url 'https://uptimer24.com/api/incidents/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimer24.com/api/incidents/' \
--header 'Authorization: Bearer {api_key}' \
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| search | اختیاری رشته | رشته جستجو. |
| search_by | اختیاری رشته | شما در حال جستجو بر اساس چه فیلدی هستید. مقادیر مجاز عبارتند از: comment. |
| datetime_field | اختیاری رشته | مقادیر مجاز: start_datetime, end_datetime, last_failed_check_datetime |
| datetime_start | اختیاری رشته | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | اختیاری رشته | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | اختیاری رشته | چه فیلدی برای مرتبسازی نتایج استفاده شود. مقادیر مجاز عبارتند از: incident_id, start_datetime, end_datetime, last_failed_check_datetime, failed_checks. |
| order_type | اختیاری رشته | ترتیب نتایج. مقادیر مجاز عبارتند از: ASC برای ترتیب صعودی، و DESC برای ترتیب نزولی. |
| page | اختیاری عدد صحیح | شماره صفحهای که میخواهید نتایج از آن شروع شود. به طور پیشفرض 1 است. |
| results_per_page | اختیاری عدد صحیح | چند نتیجه در هر صفحه میخواهید. مقادیر مجاز عبارتند از: 10, 25, 50, 100, 250, 500, 1000. به طور پیشفرض 25 است. |
{
"data": [
{
"id": 1,
"user_id": 1,
"monitor_id": 0,
"start_monitor_log_id": 0,
"end_monitor_log_id": 0,
"heartbeat_id": 13,
"start_heartbeat_log_id": 264,
"end_heartbeat_log_id": 0,
"start_datetime": "2026-07-19 04:21:11",
"end_datetime": null,
"last_failed_check_datetime": null,
"failed_checks": 5,
"notification_handlers_ids": [1,2,3],
"comment": null
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptimer24.com/api/incidents?page=1",
"last": "https://uptimer24.com/api/incidents?page=1",
"next": null,
"prev": null,
"self": "https://uptimer24.com/api/incidents?page=1"
}
}
GET https://uptimer24.com/api/incidents/{incident_id}
curl --request GET \
--url 'https://uptimer24.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimer24.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"monitor_id": 0,
"start_monitor_log_id": 0,
"end_monitor_log_id": 0,
"heartbeat_id": 13,
"start_heartbeat_log_id": 264,
"end_heartbeat_log_id": 0,
"start_datetime": "2026-07-19 04:21:11",
"end_datetime": null,
"last_failed_check_datetime": null,
"failed_checks": 5,
"notification_handlers_ids": [1,2,3],
"comment": null
}
}
POST https://uptimer24.com/api/incidents/{incident_id}
| پارامترها | جزئیات | توضیحات |
|---|---|---|
| comment | اختیاری رشته | - |
curl --request POST \
--url 'https://uptimer24.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'comment=Example' \
--url 'https://uptimer24.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'comment=Example' \
{
"data": {
"id": 1
}
}
DELETE https://uptimer24.com/api/incidents/{incident_id}
curl --request DELETE \
--url 'https://uptimer24.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimer24.com/api/incidents/{incident_id}' \
--header 'Authorization: Bearer {api_key}' \